## ros-melodic-wireless-watcher 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wireless_watcher)

find_package(catkin REQUIRED)

catkin_package()

catkin_install_python(PROGRAMS
  nodes/watcher_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-wireless-watcher (0.1.1-1bionic) bionic; urgency=high

  * Improve connected detection logic so topic doesn't stop when interface is down
  * Contributors: Nikesh Bernardshaw

 -- Mike Purvis <mpurvis@clearpath.ai>  Fri, 01 May 2020 04:00:00 -0000

ros-melodic-wireless-watcher (0.1.0-1bionic) bionic; urgency=high

  * Python 3 fixes for watcher_node. (#10 <https://github.com/clearpathrobotics/wireless/issues/10>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 10 Oct 2019 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.9-1bionic) bionic; urgency=high

  * Accept 'wifi' as device prefix for auto-detection.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Tue, 27 Nov 2018 05:00:00 -0000

ros-melodic-wireless-watcher (0.0.8-1bionic) bionic; urgency=high

  * Package format 2.
  * Further pep8 fixups.
  * Auto-detect wl* device if not passed explicitly.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 07 Nov 2018 05:00:00 -0000

ros-melodic-wireless-watcher (0.0.7-1bionic) bionic; urgency=high

  * Added frequency to watcher node
  * Contributors: Alex Bencz

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 09 Sep 2015 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.6-1bionic) bionic; urgency=high

  * Added queue_size parameter to publishers
  * Contributors: Mustafa Safri

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 02 Sep 2015 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.5-1bionic) bionic; urgency=high

  * Added checks for missing fields
  * Contributors: Mustafa Safri

 -- Mike Purvis <mpurvis@clearpath.ai>  Tue, 25 Aug 2015 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.4-1bionic) bionic; urgency=high

  * Add install rule for launch dir
  * Contributors: Paul Bovbel

 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 25 Jun 2015 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.3-1bionic) bionic; urgency=high

  * Added ESSID and BSSID fields, use floats for bitrate
  * Contributors: Alex Bencz

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 17 Jun 2015 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.2-1bionic) bionic; urgency=high

  * Workaround to suppress DummyThread error spew.
  * Add simple boolean to publish ethernet-has-ip status.

 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 24 Oct 2013 04:00:00 -0000

ros-melodic-wireless-watcher (0.0.1-1bionic) bionic; urgency=high

  * Catkinize wireless_watcher

 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 17 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-wireless-watcher
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpath.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-wireless-watcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rospy, ros-melodic-wireless-msgs
Description: A Python-based which publishes connection information about a linux wireless interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-wireless-watcher//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
